Commet
  • Pricing
Log InTry out
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Update add-on

Update an add-on's name, description, or pricing.

List add-ons GET

List all add-ons with cursor-based pagination.

Create API key POST

Create a new API key. The full key is only returned once in the response.

PUT
/addons/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length <= 100
description?string
Lengthlength <= 255
basePrice?integer
Range0 <= value
includedUnits?integer
Range0 <= value
overageRate?integer
Range0 <= value

Response Body

application/json

curl -X PUT "https://commet.co/api/v1/addons/string" \  -H "Content-Type: application/json" \  -d '{}'

application/json

application/json

application/json

Update an add-on's name, description, or pricing.

Add-on public ID or slug

{
  "success": true,
  "data": {
    "object": "addon",
    "livemode": true,
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "basePrice": 0,
    "consumptionModel"








{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"boolean"
,
"featureCode": "string",
"featureName": "string",
"includedUnits": 0,
"overageRate": 0,
"creditCost": 0,
"createdAt": "string",
"updatedAt": "string"
}
}